Energia

Serial

## write()

### Description

Writes binary data to the serial port. This data is sent as a byte or series of bytes; to send the characters representing the digits of a number use the print() function instead.

### Syntax

Serial.write(val)
Serial.write(str)
Serial.write(buf, len)

### Parameters

val: a value to send as a single byte

str: a string to send as a series of bytes

buf: an array to send as a series of bytes

len: the length of the buffer

### Returns

byte
write() will return the number of bytes written, though reading that number is optional

### Example

    void setup(){
      Serial.begin(9600);
    }

    void loop(){
      Serial.write(45); // send a byte with the value 45

       int bytesSent = Serial.write("hello"); //send the string "hello" and return the length of the string.
    }

#### See also

- read()
- print()
- println()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes